Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 20806003: Plumb in "bleed" flag (Closed)

Created:
6 years ago by robertphillips
Modified:
6 years ago
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

This CL plumbs in the drawBitmapRectToRect "bleed" flag and makes it live on the simplest GPU path. Committed: http://code.google.com/p/skia/source/detail?r=10765

Patch Set 1 #

Patch Set 2 : added to bleed GM #

Patch Set 3 : Fix default parameter #

Patch Set 4 : Updated .skp version number #

Total comments: 9

Patch Set 5 : Addressed first batch of code review comments #

Patch Set 6 : trying again after timeout #

Total comments: 6

Patch Set 7 : Addressed pipe-specific issues and updated to ToT #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+175 lines, -77 lines) Patch
M gm/bleed.cpp View 1 2 3 4 5 6 3 chunks +6 lines, -3 lines 0 comments Download
M include/core/SkCanvas.h View 1 2 3 4 5 6 3 chunks +19 lines, -6 lines 1 comment Download
M include/core/SkDevice.h View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M include/core/SkPicture.h View 1 2 3 4 5 6 1 chunk +5 lines, -1 line 0 comments Download
M include/gpu/SkGpuDevice.h View 1 2 3 4 5 6 3 chunks +8 lines, -4 lines 0 comments Download
M include/pdf/SkPDFDevice.h View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M include/utils/SkDeferredCanvas.h View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M include/utils/SkDumpCanvas.h View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M include/utils/SkLuaCanvas.h View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M include/utils/SkNWayCanvas.h View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M include/utils/SkProxyCanvas.h View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M src/core/SkBBoxRecord.h View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M src/core/SkBBoxRecord.cpp View 1 2 3 4 5 6 1 chunk +3 lines, -2 lines 0 comments Download
M src/core/SkCanvas.cpp View 1 2 3 4 5 6 3 chunks +8 lines, -5 lines 0 comments Download
M src/core/SkDevice.cpp View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M src/core/SkPicture.cpp View 1 2 3 4 5 6 1 chunk +5 lines, -1 line 0 comments Download
M src/core/SkPicturePlayback.cpp View 1 2 3 4 5 6 1 chunk +14 lines, -1 line 0 comments Download
M src/core/SkPictureRecord.h View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M src/core/SkPictureRecord.cpp View 1 2 3 4 5 6 2 chunks +5 lines, -3 lines 0 comments Download
M src/gpu/SkGpuDevice.cpp View 1 2 3 4 5 6 9 chunks +19 lines, -10 lines 0 comments Download
M src/pdf/SkPDFDevice.cpp View 1 2 3 4 5 6 1 chunk +3 lines, -1 line 0 comments Download
M src/pipe/SkGPipePriv.h View 1 2 3 4 5 6 1 chunk +3 lines, -0 lines 0 comments Download
M src/pipe/SkGPipeRead.cpp View 1 2 3 4 5 6 1 chunk +6 lines, -1 line 0 comments Download
M src/pipe/SkGPipeWrite.cpp View 1 2 3 4 5 6 3 chunks +7 lines, -2 lines 0 comments Download
M src/utils/SkDeferredCanvas.cpp View 1 2 3 4 5 6 2 chunks +3 lines, -2 lines 0 comments Download
M src/utils/SkDumpCanvas.cpp View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M src/utils/SkLuaCanvas.cpp View 1 2 3 4 5 6 3 chunks +4 lines, -3 lines 0 comments Download
M src/utils/SkNWayCanvas.cpp View 1 2 3 4 5 6 1 chunk +3 lines, -2 lines 0 comments Download
M src/utils/SkPictureUtils.cpp View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M src/utils/SkProxyCanvas.cpp View 1 2 3 4 5 6 1 chunk +3 lines, -2 lines 0 comments Download
M src/utils/debugger/SkDebugCanvas.h View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M src/utils/debugger/SkDebugCanvas.cpp View 1 2 3 4 5 6 1 chunk +6 lines, -4 lines 0 comments Download
M src/utils/debugger/SkDrawCommand.h View 1 2 3 4 5 6 2 chunks +13 lines, -8 lines 0 comments Download
M src/utils/debugger/SkDrawCommand.cpp View 1 2 3 4 5 6 3 chunks +6 lines, -2 lines 0 comments Download

Messages

Total messages: 14 (0 generated)
robertphillips
6 years ago (2013-07-29 14:13:57 UTC) #1
jvanverth1
https://codereview.chromium.org/20806003/diff/51001/include/core/SkPicture.h File include/core/SkPicture.h (right): https://codereview.chromium.org/20806003/diff/51001/include/core/SkPicture.h#newcode212 include/core/SkPicture.h:212: static const uint32_t PRIOR_PICTURE_VERSION = 12; // TODO: remove ...
6 years ago (2013-07-29 14:35:37 UTC) #2
edisonn
https://codereview.chromium.org/20806003/diff/51001/src/core/SkCanvas.cpp File src/core/SkCanvas.cpp (right): https://codereview.chromium.org/20806003/diff/51001/src/core/SkCanvas.cpp#newcode1865 src/core/SkCanvas.cpp:1865: const SkRect& dst, const SkPaint* paint) { I am ...
6 years ago (2013-07-29 14:51:13 UTC) #3
robertphillips
Addressed initial code review comments https://codereview.chromium.org/20806003/diff/51001/include/core/SkPicture.h File include/core/SkPicture.h (right): https://codereview.chromium.org/20806003/diff/51001/include/core/SkPicture.h#newcode212 include/core/SkPicture.h:212: static const uint32_t PRIOR_PICTURE_VERSION ...
6 years ago (2013-07-29 15:27:31 UTC) #4
reed1
Seems like, but a little ucky (this is SO CLEARLY) and api hack just to ...
6 years ago (2013-07-29 15:53:35 UTC) #5
robertphillips
Parked in favor of a different approach.
6 years ago (2013-08-01 12:13:14 UTC) #6
robertphillips
PTAL - back from the dead.
6 years ago (2013-08-13 16:53:47 UTC) #7
edisonn
LGTM
6 years ago (2013-08-13 20:51:35 UTC) #8
scroggo
Pipe changes look logically fine. I guess the other approach was not fruitful? https://codereview.chromium.org/20806003/diff/56001/src/pipe/SkGPipePriv.h File ...
6 years ago (2013-08-13 21:05:46 UTC) #9
bsalomon
lgtm
6 years ago (2013-08-13 21:09:49 UTC) #10
robertphillips
Addressed pipe-specific issues and updated to ToT. Mike - you're the only one left. https://codereview.chromium.org/20806003/diff/56001/src/pipe/SkGPipePriv.h ...
6 years ago (2013-08-14 15:37:41 UTC) #11
reed1
(shuts eyes) lgtm https://codereview.chromium.org/20806003/diff/70001/include/core/SkCanvas.h File include/core/SkCanvas.h (right): https://codereview.chromium.org/20806003/diff/70001/include/core/SkCanvas.h#newcode677 include/core/SkCanvas.h:677: kNone_DrawBitmapRectflag = 0x0, nit: flag should ...
6 years ago (2013-08-14 15:50:56 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://skia-tree-status.appspot.com/cq/robertphillips@google.com/20806003/70001
6 years ago (2013-08-16 10:15:01 UTC) #13
commit-bot: I haz the power
6 years ago (2013-08-16 10:24:54 UTC) #14
Message was sent while issue was closed.
Change committed as 10765

Powered by Google App Engine
This is Rietveld 408576698